@import url('https://fonts.googleapis.com/css2?family=Alex+Brush&family=Caveat+Brush&family=Nanum+Brush+Script&display=swap');
@import "../variables";


:root{
    --white:#ffffff;
    --black:#191919;
    --red: rgb(122, 13, 13);
  }
  
.home_container {
    display: flex;
    background-color: $back-dark;
    color: $text-dark;
    padding: 50px 0 100px 0;
    justify-content: center;
    flex-direction: column-reverse;
    &.dark {
        background-color: $back-light;
        color: $text-light;
  }
  border-bottom: 20px dashed var(--red);
}


  
  .about {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-self: center;
    width: auto;
    height: auto;
    font-size: 30px;
    text-align: center;
    margin-top: 10px;
    font-family: 'Caveat Brush', cursive; 
}

.about h1{
    font-family: 'Nanum Brush Script', cursive;
    font-size: 3em;
    margin: 0;
}

.about .responsive_name{
  display: none;
}

.about p{
    color: var var(--white);
    float: left;
    position: relative;
    margin: 0;
}

.about p span{
    position: absolute;
    right: 0;
    width: 0;
    
    border-left: 1px solid var(--white);

    animation: maquina 5s infinite alternate;
}


  @keyframes maquina {
      from {
          width: 100%;
      }
      to {
          width: 0;
      }
  
  }
  
   
  .about_img img{
    background-image: url("../../static/Logo1.png");
    background-color: red;
    justify-content: center;
  }  

  .home_container figure{
    display: flex;
    align-self: center;
    position:relative;
     cursor: pointer;
     overflow: hidden;
     border-radius: 100%;
     box-shadow: 0px 15px 25px rgba(0,0,0,0.50);

     width: 300px;
    height: 300px;
    margin-bottom: 10px;
    object-fit: contain;
    
    padding: 4px;
    
    border: 3px solid rgba(red, 0.3);
 }


 .home_container figure img{
     width: 100%;
     height: 100%;
     transition: all 400ms ease-out;
     will-change: transform;
 }
 .home_container figure .capa{
     position: absolute;
     top: 0;
     right: 1px;
     width: 100%;
     height: 130%;
     background: rgba(0,103,123,0.7);
     transition: all 400ms ease-out;
     opacity: 0;
     visibility: hidden;
    text-align: center;
 }
 .home_container figure:hover > .capa {
     opacity: 1;
     visibility: visible;
 }
 .home_container figure:hover > .capa h3{
     margin-top: 70px;
     margin-bottom: 15px;
 }
 .home_container figure:hover > img{
     transform: scale(1.3);
 }
 .home_container figure .capa h3{
     color: #fff;
     font-weight: 400;
     margin-bottom: 120px;
     transition: all 400ms ease-out;
      margin-top: 30px;
 }
 .home_container figure .capa p{
     color: #fff;
     font-size: 15px;
     line-height: 1.5;
     width: 100%;
     max-width: 220px;
     margin: auto;
 }
  
  @media only screen and (max-width: 960px) {
    .home_container {
      flex-direction: column;
      padding: 0;
      height: auto;
    }
  
    .about {
      width: 90%;
      margin: 0 auto;
      padding: 40px 20px 10px 20px;
    }

    .about p{
      font-size: .6em;
      margin: 0;
  }
  
    .about .name{
      display: none;
    }
    
    .about .responsive_name{
      display: contents;
      text-align: center;
    }


    .about_img {
      width: 100%;
      margin-bottom: 50px;
    }
  
    .about_img > img {
      width: 100%;
    }
  }